Bug 1307205 - Embedded images are not shown in Gmail web client
Embedded images are not shown in Gmail web client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 22:04 EST by Feng Yu
Modified: 2017-06-06 04:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: evolution-3.22.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-06 04:07:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Email that does not show an image when opened in Gmail. (47.54 KB, application/mbox)
2016-11-26 03:37 EST, Feng Yu
no flags Details

  None (edit)
Description Feng Yu 2016-02-12 22:04:03 EST
Description of problem:

Embedded images in HTML messages are not shown in Gmail web client. 
They are shown as text (sometimes) or missing.

Version-Release number of selected component (if applicable):

3.16.5 (F22) and 3.18.x (F23)

How reproducible:
Always

Steps to Reproduce:
1. Write image in HTML, paste in graphics.
2. Send it to a user with gmail.
3.

Actual results:

Images are shown BASE64 strings, or missing.

Expected results:
Images are seen.

Additional info:

Other email clients seem to be happy (at least the email reader Mac people use). But my collaborator that use Gmail web interface have been showing me this problem.
Gmail is so widely used that even if it their fault we may need to come up with a workaround. Sad.
Comment 1 Tomas Popela 2016-02-15 02:22:23 EST
Hi,
I tried to reproduce this issue (by inserting an image to the message with the Insert->Image dialog) and it works for me. I also copied and pasted some image from GIMP. Can you please specify a little bit more what "paste in graphic" means?
Comment 2 Feng Yu 2016-02-29 12:48:19 EST
Hi,

I would copy the image from Firefox into the composer, then send and view the email in gmail.

Saving the mail from evolution composer to the gmail draft account and view it would also reproduce this.
Comment 3 Tomas Popela 2016-04-08 03:40:17 EDT
The drafts will be fixed in 3.20.1 (with commit [0]) that will be part of the Fedora 24. I still can't reproduce the issue when sending a message. Can you please retest this on F24 once the Evolution 3.20.1 will be out?

[0] - https://git.gnome.org/browse/evolution/commit/?id=c2b59e183e30286dc49bdca95f6c5e03ddbcd8c6
Comment 4 Feng Yu 2016-04-20 20:26:02 EDT
Hi,

I copied the image from Firefox with the popup menu (click on Copy). The images are embeded png in a webpage. 

evolution-3.18.5.2-1.fc23.x86_64 still has this issue.

I have send you an example email that doesn't work in GMAIL's web interface.
It contains two embeded images.

Yu
Comment 5 Tomas Popela 2016-04-25 01:54:10 EDT
Hi,

(In reply to Feng Yu from comment #4)
> evolution-3.18.5.2-1.fc23.x86_64 still has this issue.

I explicitly asked for feedback for Evolution 3.20.1+ (included in F24) as the fix was done there and not for 3.18.5.2 (F23).
Comment 6 Feng Yu 2016-04-25 13:49:57 EDT
Hi Tomas,

Oops.

I do not have a valid F24 to test this. F24 is not yet released. Is there any chance for a backport to F23?

Yu
Comment 7 Fedora End Of Life 2016-11-24 10:32:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Feng Yu 2016-11-26 03:36:20 EST
Hi,

PLease reopen for F24. It still doesn't work in 3.20.5. 
I will add an mbox attachment with a single image in it.
Comment 9 Feng Yu 2016-11-26 03:37 EST
Created attachment 1224526 [details]
Email that does not show an image when opened in Gmail.
Comment 10 Feng Yu 2016-11-26 03:39:44 EST
Also, Copying from Firefox then pasting the 'ms' vs 'google' image from the following webpage into the composer it becomes a giant blank box; not sure if it is related.

http://thenextweb.com/google/2016/04/22/microsoft-and-google/
Comment 11 Tomas Popela 2016-11-29 11:35:43 EST
Feng is there a chance that you will update to F25 (as the Evolution switched to WebKit2 in 3.22 and it's harder to backport some changes)? I think I managed to fix/improve the current situations, but only for F25 now.
Comment 12 Feng Yu 2016-11-29 12:55:46 EST
Thanks for the update. Probably later of the year when F25 is a bit more used.

If I manage to test this on F25, I will post here.
Comment 13 Tomas Popela 2016-11-30 05:19:19 EST
OK, thank you.

The fix that will be included in Evolution 3.22.3 is [0]. Please note a part about comment #10.

[0] - https://git.gnome.org/browse/evolution/commit/?id=daadd7a
Comment 14 Feng Yu 2017-06-05 15:26:47 EDT
I can confirm in Fedora 25 the issue is fixed. Testing version Evolution 3.22.6.
Comment 15 Milan Crha 2017-06-06 04:07:08 EDT
Thanks for the update. I'm closing this as such.

Note You need to log in before you can comment on or make changes to this bug.